Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
GenericVectorEqEq< T > Class Template Reference

`#include <genericvector.h>`

Inheritance diagram for GenericVectorEqEq< T >:

List of all members.

## Public Member Functions

| GenericVectorEqEq ()
| GenericVectorEqEq (int size)
Public Member Functions inherited from GenericVector< T >
| GenericVector ()
| GenericVector (int size)
| GenericVector (const GenericVector &other)
GenericVector< T > & | operator+= (const GenericVector &other)
GenericVector< T > & | operator= (const GenericVector &other)
virtual | ~GenericVector ()
void | reserve (int size)
void | double_the_size ()
void | init_to_size (int size, T t)
int | size () const
int | length () const
bool | empty () const
T & | get (int index) const
T & | back () const
T & | operator[] (int index) const
int | get_index (T object) const
bool | contains (T object) const
T | contains_index (int index) const
int | push_back (T object)
void | operator+= (T t)
int | push_back_new (T object)
int | push_front (T object)
void | set (T t, int index)
void | insert (T t, int index)
virtual void | remove (int index)
virtual void | truncate (int size)
void | set_clear_callback (TessCallback1< T > *cb)
void | set_compare_callback (TessResultCallback2< bool, T const &, T const & > *cb)
virtual void | clear ()
void | delete_data_pointers ()
void | move (GenericVector< T > *from)
bool | write (FILE *f, TessResultCallback2< bool, FILE *, T const & > *cb) const
bool | read (FILE *f, TessResultCallback3< bool, FILE *, T *, bool > *cb, bool swap)
virtual bool | Serialize (FILE *fp) const
virtual bool | DeSerialize (bool swap, FILE *fp)
bool | SerializeClasses (FILE *fp) const
bool | DeSerializeClasses (bool swap, FILE *fp)
void | sort ()
void | sort (int(*comparator)(const void *, const void *))
bool | bool_binary_search (const T &target) const
int | binary_search (const T &target) const
void | compact_sorted ()
void | compact (TessResultCallback1< bool, int > *delete_cb)
T | dot_product (const GenericVector< T > &other) const

## Additional Inherited Members

Static Public Member Functions inherited from GenericVector< T >
static T * | double_the_size_memcpy (int current_size, T *data)
Protected Member Functions inherited from GenericVector< T >
void | init (int size)
Protected Attributes inherited from GenericVector< T >
inT32 | size_used_
inT32 | size_reserved_
T * | data_
TessCallback1< T > * | clear_cb_
TessResultCallback2< bool, T const &, T const & > * | compare_cb_
Static Protected Attributes inherited from GenericVector< T >
static const int | kDefaultVectorSize = 4

## Detailed Description

### template<typename T>
class GenericVectorEqEq< T >

Definition at line 448 of file genericvector.h.

## Constructor & Destructor Documentation

template<typename T>

GenericVectorEqEq< T >::GenericVectorEqEq | ( |  | ) |

inline

Definition at line 450 of file genericvector.h.

{
GenericVector<T>::set_compare_callback(
NewPermanentTessCallback(tesseract::cmp_eq<T>));
}
template<typename T>

GenericVectorEqEq< T >::GenericVectorEqEq | ( | int | size | ) |

inline

Definition at line 454 of file genericvector.h.

: GenericVector<T>(size) {
GenericVector<T>::set_compare_callback(
NewPermanentTessCallback(tesseract::cmp_eq<T>));
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/genericvector.h